# Contributing to DuckDuckGo

Thank you for taking the time to contribute to DuckDuckGo! :sparkles:

We are pleased to open up the project to you - our community. How can you contribute?

## Improve translations
We are introducing support for additional languages and would like your help in improving the translations. Please see [improving translations](TRANSLATIONS.md) for how you can help us.

## Share feedback
Contact us at https://duckduckgo.com/feedback if you have feedback, questions or want to chat. You can also use the feedback form embedded within our Mobile App - to do so please navigate to Settings and select "Leave Feedback".

## Report an issue
A great way to contribute to the project is to report an issue when you encounter a problem.

We want our app to be as stable as possible thus your bug reports are immensely valuable. When reporting bugs let us know the:
* App version
* Device model
* Android version
* Steps to reproduce the bug
* Expected behavior
* Actual behavior

If you have encountered a security issue, please reach us through https://hackerone.com/duckduckgo.

## Contribute Code

We welcome pull requests aimed at fixing bugs and security issues. We have also labeled tasks you can help with as [help wanted](https://github.com/duckduckgo/Android/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).

If you have a great idea you really want to implement, start by logging an issue for us and mention that you are interested in helping. If it fits with our product direction and is a good candidate for community development we may be able to bend the rules and work with you to develop it.

### Style Guide

We care about clean code. Refer to our [style guide](styleguide/STYLEGUIDE.md).


### Commit Messages

See Chris Beams' guide to writing good commit messages https://chris.beams.io/posts/git-commit/